import { LanguageString } from "./LanguageString";
import { Place } from "./Place";
import { Tag } from "./Tag";
import { RegistrationTier } from "./RegistrationTier";
import { Timezone } from "./Timezone";
import { DecomposedDateTime } from "./DecomposedDateTime";
import { LanguageOptString } from "./LanguageOptString";
import { ConventionMap } from "./ConventionMap";
import { EventActivity } from "./EventActivity";
import { ColorScheme } from "./ColorScheme";
import { SummaryLink } from "./SummaryLink";
import { RegistrationLink } from "./RegistrationLink";
import { AdditionalRule } from "./AdditionalRule";
import { Language } from "./Language";

export type ConventionEdition = {
  uuid: string;
  name: LanguageString;
  places: Place[];
  tags: Tag[];
  lowest_registration_tier: string;
  registration_tiers: RegistrationTier[];
  do_not_ask_registration_tier: boolean;
  theme: LanguageString;
  hashtag_reminder: string;
  timezone: Timezone;
  rule_621_checker: boolean;
  next_edition: DecomposedDateTime;
  ceremony_opening_time: DecomposedDateTime;
  ceremony_closing_time: DecomposedDateTime;
  split_day_into_n_parts: number;
  image_default_event: LanguageOptString;
  image_favorites: LanguageOptString;
  maps: ConventionMap[];
  language: Language;
  events: EventActivity[];
  additional_rules: AdditionalRule[];
  registration_links: RegistrationLink[];
  fire_notifications_n_minutes_before: number;
  convention_day_start_time: DecomposedDateTime;
  convention_day_end_time: DecomposedDateTime;
  color_scheme: ColorScheme;
  summary_links: SummaryLink[];
};
