import { LanguageString } from "./LanguageString";
import { LanguageOptString } from "./LanguageOptString";
import { ConventionEdition } from "./ConventionEdition";
import { Timezone } from "./Timezone";
import { SocialMedia } from "./SocialMedia";
import { BannerChange } from "./BannerChange";
import { Announcement } from "./Announcement";
import { UrgentMessage } from "./UrgentMessage";
import { Language } from "./Language";

export type ConventionSeries = {
  uuid: string;
  name: LanguageString;
  featured: string;
  editions: ConventionEdition[];
  timezone: Timezone;
  social_medias: SocialMedia[];
  default_banner: LanguageString;
  banners: BannerChange[];
  language: Language;
  languages: Language[];
  statute: LanguageString;
  startup_terms: LanguageOptString;
  announcements: Announcement[];
  urgent_message: UrgentMessage | null;
  countdown_on_splash: boolean;
};
